package com.fastest.pass.welcome.presentation.viewmodel

import androidx.lifecycle.ViewModel
import com.fastest.pass.splash.utils.SplashRoute
import com.fastest.pass.welcome.utils.WelcomeNavigationRoute
import kotlinx.coroutines.flow.MutableStateFlow

class WelcomeViewModel : ViewModel() {

    private val _router = MutableStateFlow<WelcomeNavigationRoute>(WelcomeNavigationRoute.NoneScreen)
    val router: MutableStateFlow<WelcomeNavigationRoute> = _router


    fun navigateTo(splashRoute: WelcomeNavigationRoute) {
        _router.value = splashRoute
    }

}